summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-04-14 13:57:34 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-04-14 13:57:34 (EDT)
commit716bbf8e10d58ec008eb24978584caebc07f87fc (patch)
treeef5b48bcba50fb280ef54d7427aa2bfb1d5a199d
parent3b0a279f9fd09fb619278545b702e3e61cf75664 (diff)
_try_load_locale(): Fix handling of cat exit status
This fixes a bug introduced in commit 3eb82fb.
-rw-r--r--src/locale.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/src/locale.sh b/src/locale.sh
index 63a38e9..bcafb29 100644
--- a/src/locale.sh
+++ b/src/locale.sh
@@ -38,7 +38,8 @@ _try_load_locale()
# informative error message before aborting, we need this
# eval/cat command. This is more resilient against race
# conditions than `[ -f "${ms}" ]` is.
- eval "$(cat -- "${ms}" 2>/dev/null)" || continue
+ ms="$(cat -- "${ms}" 2>/dev/null)" || continue
+ eval "${ms}"
return 0
done